/*

    Bist: a chemical drawing tool
    Copyright (C) 2008 Valerio Benfante

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/



void arc_prop_color_cb(Fl_Widget* w, void* d);
void arc_prop_ok_cb(Fl_Widget* w, void* d);
void arc_prop_cancel_cb(Fl_Widget* w, void* d);
void arc_prop_width_cb(Fl_Widget* w, void* d);
void arc_prop_thick_cb(Fl_Widget* w, void* d);


/**
 *Questa classe  rappresenta la finestra per cabiare  le proprietà degli
 *archi
 * This class represents Main Window properties.
 */


class Arc_Prop : public Fl_Double_Window{
public:
  void setThick(int thick);
  void setColor(unsigned int r, unsigned int g, unsigned int b);
  void setWidth(int width);

  Arc_Prop(proc_arc* arr);
  virtual ~Arc_Prop();
protected:
  proc_arc* _arc;
  

};

void arc_win(proc_arc* at);
